%define upstream_name    File-Binary
%define upstream_version 1.7

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Binary file reading module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
*File::Binary* is a Binary file reading module, hence the name, and was
originally used to write a suite of modules for manipulating Macromedia SWF
files.

However it's grown beyond that and now actually, err, works. And is
generalised. And EVERYTHING! Yay!

It has methods for reading and writing signed and unsigned 8, 16 and 32 bit
integers, at some point in the future I'll figure out a way of putting in
methods for >32bit integers nicely but until then, patches welcome.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.700.0-7.mga6
+ Revision: 1027280
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 1.700.0-6.mga6
+ Revision: 932169
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.700.0-5.mga5
+ Revision: 742792
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.700.0-4.mga5
+ Revision: 684706
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.700.0-3.mga4
+ Revision: 511526
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.700.0-2.mga3
+ Revision: 367144
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 26 2011 kharec <kharec> 1.700.0-1.mga2
+ Revision: 172293
- imported package perl-File-Binary


* Sat Nov 26 2011 cpan2dist 1.7-1mga
- initial mageia release, generated with cpan2dist
